## spring security 配置
security:
  oauth2:
    client:
      client-id: ENC(gPFcUOmJm8WqM3k3eSqS0Q==)
      client-secret: ENC(gPFcUOmJm8WqM3k3eSqS0Q==)
      scope: server

# 数据源
spring:
  redis:
    host: avenue-redis
    database: 9  #避免和微服务 PIGX
    password: 1890!Hd1
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      driver-class-name: com.mysql.cj.jdbc.Driver
      username: root
      password: 1890!Hd1
      url: jdbc:mysql://avenue-mysql:3306/avenuex_boot_codegen?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true
  web:
    resources:
      static-locations: classpath:/static/,classpath:/views/

# 租户表维护
avenue:
  tenant:
    column: tenant_id
    tables:
      - gen_datasource_conf
      - gen_form_conf
